ZoomLevelMakerFace (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.mapTile
Class ZoomLevelMakerFace

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.bbn.openmap.gui.OMComponentPanel
                          com.bbn.openmap.dataAccess.mapTile.ZoomLevelMakerFace

All Implemented Interfaces:
  LightMapHandlerChild, PropertyConsumer, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class ZoomLevelMakerFace

extends OMComponentPanel

A class that visually manages the settings for a ZoomLevelInfo object. Works inside the MapTileMakerComponent.

Author:
  dietrick
See Also:
  Serialized Form

Nested Class Summary
`class` | `ZoomLevelMakerFace.BoundsObject` The list object used to represent a boundary.
`class` | `ZoomLevelMakerFace.LayerObject` A component used to represent a layer/layer setting in the face.

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected OMGraphicList` | `boundaries`
`protected javax.swing.JList` | `boundsList`
`protected com.bbn.openmap.dataAccess.mapTile.ZoomLevelMakerFace.BoundsListModel` | `boundsModel`
`protected java.util.List<ZoomLevelMakerFace.BoundsObject>` | `boundsObjectList`
`protected javax.swing.JButton` | `createBoundaryButton`
`protected javax.swing.JButton` | `deleteBoundaryButton`
`protected javax.swing.JButton` | `editBoundaryButton`
`protected javax.swing.JLabel` | `intro`
`protected java.util.List<ZoomLevelMakerFace.LayerObject>` | `layerList`
`protected javax.swing.JPanel` | `layerPanel`
`protected static java.util.logging.Logger` | `logger`
`protected MapTileMakerComponent` | `organizer`
`protected javax.swing.JButton` | `scaleButton`
`protected javax.swing.JLabel` | `tileDimensions`
`protected ZoomLevelMaker` | `zfi`

Fields inherited from class com.bbn.openmap.gui.OMComponentPanel
`beanContextChildSupport, i18n, isolated, orientation, propertyPrefix, windowSupport`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ZoomLevelMakerFace(ZoomLevelMaker zfi, MapTileMakerComponent mtmc)`

Method Summary
`protected void` | `addIntroEntry(javax.swing.JPanel panel, javax.swing.JComponent left, javax.swing.JComponent right, int y, java.awt.Insets i)`
`javax.swing.ImageIcon` | `createImageIcon(java.lang.String path)`
`protected void` | `enableBoundaryButtons(boolean setting)`
`protected boolean` | `generate(Projection proj)` Called from the MapTileMakerComponent, so this ZLIF is ready to paint its boundaries if it is activated.
`void` | `handleBoundary(OMGraphic omg, OMAction action)` Called from MapTileMakerComponent if this is the active ZLIF when the drawing tool completes, assigning the boundary to this ZLIF (or whatever action is provided).
`protected boolean` | `isActive()` Whether this ZLIF is the active tab in the MapTileMakerComponent.
`boolean` | `isInclude()` Whether this ZoomLevel should be used in the tile creation or skipped.
`void` | `matchBounds(java.util.List<ZoomLevelMakerFace.BoundsObject> bounds)`
`protected void` | `matchObjects(java.util.List<ZoomLevelMakerFace.LayerObject> layerObjects)` Given a list of LayerObjects, make the visibility of the internal layers match the list.
`protected void` | `paintBoundaries(java.awt.Graphics graphics)` Called from the MapTileMakerComponent, when this is the active ZLIF so the current boundaries are painted on top of the map.
`protected void` | `setActive(boolean active)` Set this as the active ZLIF in MapTileMakerComponent.
`void` | `setInclude(boolean include)` Set whether this ZoomLevel should be used in the tile creation.
`protected void` | `setLayers(Layer[] layers)` Given a set of Layers, look at the internal list and make sure there are layer objects that match.
`protected void` | `setLayers(java.util.List<ZoomLevelMakerFace.LayerObject> layerObjects)` Update the layer panel to have buttons for the layer objects.
`void` | `updateZoomLevel(int zoomLevel)`

Methods inherited from class com.bbn.openmap.gui.OMComponentPanel
`addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, fireVetoableChange, getBeanContext, getOrientation, getProperties, getPropertyInfo, getPropertyPrefix, getWindowSupport, isIsolated, removeVetoableChangeListener, setBeanContext, setIsolated, setOrientation, setProperties, setProperties, setPropertyPrefix, setWindowSupport`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.beans.beancontext.BeanContextChild
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### logger

    protected static java.util.logging.Logger logger

### zfi

    protected ZoomLevelMaker zfi

### boundsList

    protected javax.swing.JList boundsList

### boundsObjectList

    protected java.util.List<ZoomLevelMakerFace.BoundsObject> boundsObjectList

### boundsModel

    protected com.bbn.openmap.dataAccess.mapTile.ZoomLevelMakerFace.BoundsListModel boundsModel

### boundaries

    protected OMGraphicList boundaries

### layerList

    protected java.util.List<ZoomLevelMakerFace.LayerObject> layerList

### organizer

    protected MapTileMakerComponent organizer

### layerPanel

    protected javax.swing.JPanel layerPanel

### createBoundaryButton

    protected javax.swing.JButton createBoundaryButton

### editBoundaryButton

    protected javax.swing.JButton editBoundaryButton

### deleteBoundaryButton

    protected javax.swing.JButton deleteBoundaryButton

### intro

    protected javax.swing.JLabel intro

### tileDimensions

    protected javax.swing.JLabel tileDimensions

### scaleButton

    protected javax.swing.JButton scaleButton

Constructor Detail

### ZoomLevelMakerFace

    public ZoomLevelMakerFace(ZoomLevelMaker zfi,
                              MapTileMakerComponent mtmc)

Method Detail

### addIntroEntry

    protected void addIntroEntry(javax.swing.JPanel panel,
                                 javax.swing.JComponent left,
                                 javax.swing.JComponent right,
                                 int y,
                                 java.awt.Insets i)

### updateZoomLevel

    public void updateZoomLevel(int zoomLevel)

### enableBoundaryButtons

    protected void enableBoundaryButtons(boolean setting)

### setLayers

    protected void setLayers(Layer[] layers)

  Given a set of Layers, look at the internal list and make sure there are layer objects that match. Purges LayerObjects that don't represent layers, and adds LayerObjects as needed. Calls setLayers with LayerObjects.

  Parameters:
    `layers` -

### setLayers

    protected void setLayers(java.util.List<ZoomLevelMakerFace.LayerObject> layerObjects)

  Update the layer panel to have buttons for the layer objects. Doesn't do any checking, just adds them to the layerPanel, and adds the button that pushes this ZLIF's layer settings to all other layers.

  Parameters:
    `layerObjects` -

### matchObjects

    protected void matchObjects(java.util.List<ZoomLevelMakerFace.LayerObject> layerObjects)

  Given a list of LayerObjects, make the visibility of the internal layers match the list.

  Parameters:
    `layerObjects` -

### matchBounds

    public void matchBounds(java.util.List<ZoomLevelMakerFace.BoundsObject> bounds)

### isActive

    protected boolean isActive()

  Whether this ZLIF is the active tab in the MapTileMakerComponent.

  Returns:
    true if face is active

### setActive

    protected void setActive(boolean active)

  Set this as the active ZLIF in MapTileMakerComponent.

  Parameters:
    `active` -

### isInclude

    public boolean isInclude()

  Whether this ZoomLevel should be used in the tile creation or skipped.

  Returns:
    if zoom level should be included in tile creation.

### setInclude

    public void setInclude(boolean include)

  Set whether this ZoomLevel should be used in the tile creation.

  Parameters:
    `include` -

### handleBoundary

    public void handleBoundary(OMGraphic omg,
                               OMAction action)

  Called from MapTileMakerComponent if this is the active ZLIF when the drawing tool completes, assigning the boundary to this ZLIF (or whatever action is provided).

  Parameters:
    `omg` -
    `action` -

### generate

    protected boolean generate(Projection proj)

  Called from the MapTileMakerComponent, so this ZLIF is ready to paint its boundaries if it is activated.

  Parameters:
    `proj` - Projection to use to render boundaries.
  Returns:
    true if boundaries can be generated for given projection

### paintBoundaries

    protected void paintBoundaries(java.awt.Graphics graphics)

  Called from the MapTileMakerComponent, when this is the active ZLIF so the current boundaries are painted on top of the map.

  Parameters:
    `graphics` -

### createImageIcon

    public javax.swing.ImageIcon createImageIcon(java.lang.String path)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details